com.mysql.cj.jdbc

## Interface JdbcPropertySet

All Superinterfaces:
  PropertySet

    public interface JdbcPropertySet
    extends PropertySet

### Method Summary

All Methods Instance Methods Abstract Methods
`List<DriverPropertyInfo>` `exposeAsDriverPropertyInfo()` Exposes all ConnectionPropertyInfo instances as DriverPropertyInfo

### Methods inherited from interface com.mysql.cj.conf.PropertySet

`addProperty, exposeAsProperties, getBooleanProperty, getBooleanProperty, getEnumProperty, getEnumProperty, getIntegerProperty, getIntegerProperty, getLongProperty, getLongProperty, getMemorySizeProperty, getMemorySizeProperty, getProperty, getProperty, getStringProperty, getStringProperty, initializeProperties, postInitialization, removeProperty, removeProperty, reset`

### Method Detail

#### exposeAsDriverPropertyInfo

    List<DriverPropertyInfo> exposeAsDriverPropertyInfo()
                                                 throws SQLException

Exposes all ConnectionPropertyInfo instances as DriverPropertyInfo

Returns:
  a `List` of all ConnectionPropertyInfo instances, as DriverPropertyInfo
Throws:
  `SQLException` - if an error occurs

Copyright © 2016, 2023, Oracle and/or its affiliates.